package ca.recrown.islandsurvivalcraft.worldgen;

import java.util.Random;

import org.bukkit.World;
import org.bukkit.generator.ChunkGenerator;
import org.bukkit.util.noise.PerlinOctaveGenerator;

public class IslandsChunkGenerator extends ChunkGenerator {
    private double maxGenHeight;
    private double minGenHeight;

    public IslandsChunkGenerator(int maxGenHeight, int minGenHeight) {
        this.maxGenHeight = maxGenHeight;
        this.minGenHeight = minGenHeight;
    }

    @Override
    public ChunkData generateChunkData(World world, Random random, int chunkX, int chunkZ, BiomeGrid biome) {
        ChunkData chunk = world.getGenerator().generateChunkData(world, random, chunkX, chunkZ, biome);
        PerlinOctaveGenerator nGenerator = new PerlinOctaveGenerator(random, 8);
        nGenerator.setScale(0.003D);
        
        for (int X = 0; X < 16; chunkX++) {
            for (int Z = 0; Z < 16; Z++) {
                int currentHeight = (int) ((nGenerator.noise(chunkX*16+X, chunkZ*16+Z, 0.5D, 0.5D, true) + 1D) * maxGenHeight + minGenHeight);
                
            }
        }
        return super.generateChunkData(world, random, chunkX, chunkZ, biome);
    }
}